# Redefine a Risk Control
source: https://developer.mastercard.com/mastercard-processing-fraud/documentation/sandbox-testing/redefine-risk-control/index.md

## Test case -- Success {#test-case--success}

This test case describes redefining risk control for a specified contract stored in the CMS.

For this test case, use the following information in the request:

|   Path parameter    |     Available value      |
|---------------------|--------------------------|
| `risk_control_code` | COUNTRY_VELOCITY_CONTROL |
|                     | ATM_FRENCH_USERS_RULE    |

|       Field       | Available value |
|-------------------|-----------------|
| `riskControlType` | Balance         |
|                   | Credit          |
|                   | Risk Rule       |

**Sample request**

`PUT /contracts/70001/risk-controls/COUNTRY_VELOCITY_CONTROL`

```JSON
{
  "activityPeriodStartDate": "2027-10-28T12:30:21Z",
  "activityPeriodEndDate": "2027-10-28T12:30:21Z",
  "addInfo": "PSCR=Y0;CVR=204000044000",
  "currency": "EUR",
  "maxAmount": 8444,
  "maxNumber": 30,
  "maxPercent": 10,
  "maxSingleAmount": 500,
  "riskControlType": "Balance"
}
```

**Sample response**

`204`

## Test case -- Fail - Invalid Risk Control code {#test-case--fail---invalid-risk-control-code}

This test case describes an attempt to redefine a specified risk control that does not exist for a specified contract stored in the CMS.

For this test case, use the following information in the request:

|   Path parameter    | Available value |
|---------------------|-----------------|
| `risk_control_code` | INVALID         |

|       Field       | Available value |
|-------------------|-----------------|
| `riskControlType` | Balance         |
|                   | Credit          |
|                   | Risk Rule       |

**Sample request**

`PUT /contracts/70001/risk-controls/INVALID`

```JSON
{
  "activityPeriodStartDate": "2027-10-28T12:30:21Z",
  "activityPeriodEndDate": "2027-10-28T12:30:21Z",
  "addInfo": "PSCR=Y0;CVR=204000044000",
  "currency": "EUR",
  "maxAmount": 8444,
  "maxNumber": 30,
  "maxPercent": 10,
  "maxSingleAmount": 500,
  "riskControlType": "Balance"
}
```

**Sample response**

`404`

```JSON
{
    "Errors": {
        "Error": [
            {
                "Source": "MASTERCARD PROCESSING",
                "ReasonCode": "RISK_CONTROL_CODE_DOES_NOT_EXIST",
                "Description": "Risk control code INVALID does not exist for contract with id 70001.",
                "Recoverable": false
            }
        ]
    }
}
```

